<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css"
        integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

    <title>503.10</title>
</head>

<body>
    <div class="container m-5">
        <button type="button" class="btn btn-primary" onclick=" getAllPost()">Get All</button>
        <button type="button" class="btn btn-secondary" onclick=" getDetailPost()">Get Detail</button>
        <button type="button" class="btn btn-success" onclick=" creatPost()">Creat</button>
        <button type="button" class="btn btn-danger" onclick=" updatePost()">Update</button>
        <button type="button" class="btn btn-warning" onclick=" deletePost()">Delete</button>
        <button type="button" class="btn btn-warning m-2" onclick="getData()">Get data 1 to 2</button>


    </div>
</body>
<script>
    const gURL = "https://jsonplaceholder.typicode.com/posts";

    function fetchAPI(url, options) {
        fetch(url, options)
            .then((reponse) => {
                return reponse.json();
            })
            .then((data) => {
                console.log(data);
            })
            .catch(
                (error) => {
                    console.log(error)
                }
            )
    }

    function getAllPost() {
        fetchAPI(gURL,
            {
                method: "GET"
            })
    }
    function getDetailPost() {
        fetchAPI(gURL + "/1",
            {
                method: "GET"
            })
    }
    function creatPost() {
        fetchAPI(gURL,
            {
                method: "POST",
                headers: {
                    'Content-type': 'application/json; charset=UTF-8',
                },
                body: JSON.stringify({
                    title: 'foo',
                    body: 'bar',
                    usedId: 1,
                })

            })
    }
    function updatePost() {
        fetchAPI(gURL + "/1",
            {
                method: "PUT",
                headers: {
                    'Content-type': 'application/json; charset=UTF-8',
                },
                body: JSON.stringify({
                    title: 'foo',
                    body: 'bar',
                    usedId: 1,
                })

            })
    }
    function deletePost() {
        fetchAPI(gURL + "/1",
            {
                method: "DELETE",

            })

    }
    // Không sử dụng vì quá dài
    function getData() {
        fetch(gURL + "/1")
            .then(
                (response) => {
                    return response.json();
                }
            )
            .then(
                (data) => {
                    console.log(data);
                }
            )
        fetch(gURL + "/2")
            .then(
                (response) => {
                    return response.json();
                }
            )
            .then(
                (data) => {
                    console.log(data);
                }
            )
            .catch(
                (error) => {
                    console.error(error);
                }
            )
            .catch(
                (error) => {
                    console.error(error);
                }
            )


    }




</script>

</html>